Mail archive
alpine-aports

(unknown charset) [alpine-aports] [PATCH] community/wine: upgrade to 1.8. libs and dlls moved to -libs. development binaries and data moved to -dev. non-en man pages are removed from -doc

From: (unknown charset) Valery Kartel <valery.kartel_at_gmail.com>
Date: Sun, 20 Dec 2015 21:23:26 +0200

---
 community/wine/APKBUILD | 60 +++++++++++++++++++++++++++++++++----------------
 1 file changed, 41 insertions(+), 19 deletions(-)
diff --git a/community/wine/APKBUILD b/community/wine/APKBUILD
index 35a80cb..390ddb5 100644
--- a/community/wine/APKBUILD
+++ b/community/wine/APKBUILD
_at_@ -1,25 +1,27 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Contributor: Łukasz Jendrysik <scadu_at_yandex.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=wine
-pkgver=1.7.52
-_ver=${pkgver/_/-}
-pkgrel=2
+pkgver=1.8
+_pkgver=${pkgver/_/-}
+pkgrel=0
 pkgdesc="A compatibility layer for running Windows programs"
 url="http://www.winehq.com"
 arch="x86 x86_64"
 license="LGPL2+"
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-libs $pkgname-dev $pkgname-doc"
+depends_dev="$pkgname perl"
 makedepends="fontconfig-dev openldap-dev libxslt-dev libxxf86dga-dev
 	libxcursor-dev libxrandr-dev libxdamage-dev mesa-dev flex bison
 	libpng-dev libjpeg-turbo-dev freetype-dev ncurses-dev openssl-dev
 	libxcomposite-dev libxrender-dev libxinerama-dev zlib-dev
 	cups-dev alsa-lib-dev lcms-dev libxml2-dev paxmark dbus-dev libxi-dev
 	gnutls-dev tiff-dev v4l-utils-dev udisks2-dev autoconf automake"
-source="http://downloads.sourceforge.net/project/wine/Source/wine-$_ver.tar.bz2
+source="http://downloads.sourceforge.net/project/wine/Source/wine-$_pkgver.tar.bz2
 	musl-fix.patch"
 
-_builddir="$srcdir"/$pkgname-$_ver
+_builddir="$srcdir"/$pkgname-$_pkgver
 prepare() {
 	cd "$_builddir"
 	for i in $source; do
_at_@ -27,9 +29,6 @@ prepare() {
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
 		esac
 	done
-	sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in \
-		|| return 1
-	sed -i '/^MimeType/d' tools/wine.desktop || return 1
 	aclocal && autoheader && autoreconf || return 1
 }
 
_at_@ -51,17 +50,12 @@ build() {
 		--with-x \
 		$_win64 \
 		|| return 1
-	make
+	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make -j1 \
-		prefix="$pkgdir"/usr \
-		libdir="$pkgdir"/usr/lib \
-		dlldir="$pkgdir"/usr/lib/wine \
-		install || return 1
-	mkdir -p "$pkgdir"/etc/wine
+	make -j1 DESTDIR="$pkgdir" install || return 1
 
 	case "$CARCH" in
 	x86_64) _wine="wine64";;
_at_@ -72,9 +66,37 @@ package() {
 		"$pkgdir"/usr/bin/$_wine
 }
 
-md5sums="70ecd94e17394446ed28ee21282e3e4c  wine-1.7.52.tar.bz2
+dev() {
+	default_dev
+	install -d "$subpkgdir"/usr/bin
+	for file in widl wmc wrc winebuild winedump function_grep.pl winedbg winemaker winegcc winecpp wineg++; do
+		mv "$pkgdir"/usr/bin/$file "$subpkgdir"/usr/bin/
+	done
+	install -d "$subpkgdir"/usr/lib/wine
+	mv "$pkgdir"/usr/lib/wine/*.def "$subpkgdir"/usr/lib/wine/
+}
+
+doc() {
+	default_doc
+	rm -fr "$subpkgdir"/usr/share/man/*.UTF-8
+}
+
+libs() {
+	default_libs
+	install -d "$subpkgdir"/usr/lib/wine/fakedlls
+	for ext in dll16 drv16 exe16 acm dll drv ds ocx sys tlb vxd; do
+		for file in `find "$pkgdir"/usr/lib/wine/fakedlls -name *.$ext -exec basename {} \;`; do
+			mv "$pkgdir"/usr/lib/wine/fakedlls/$file \
+				"$subpkgdir"/usr/lib/wine/fakedlls/
+			mv "$pkgdir"/usr/lib/wine/${file}.so \
+				"$subpkgdir"/usr/lib/wine/
+		done
+	done
+}
+
+md5sums="96b51a2f2ae727802d71095354e69fef  wine-1.8.tar.bz2
 80c4e60c14a055b070e87338f22c6a0f  musl-fix.patch"
-sha256sums="0773b32a0c358323db4c383ceb1e9e28d5d4ed4ea37570af2bcb41fecf0d554b  wine-1.7.52.tar.bz2
+sha256sums="f33b45c18112b2071fbf9edee0e8c575407f9e2a9855ca4ee918ed33efa7c6f4  wine-1.8.tar.bz2
 28059ac713a3636657267b9238ac9ca28416d7a3d6dbac142ed68dcbf460d88b  musl-fix.patch"
-sha512sums="834a77553d1352840c747ab5dc3e582b15da4ea65f16f9d58d0cc8afb460b4a0fded859929331dd32d9f4f66ab14bb890cf239d0a283bf9ffd92b48f9d1687de  wine-1.7.52.tar.bz2
+sha512sums="34308e82e04dee714fdbd10f29cd6cf6326e5e6e9134f7076e58b09988211065b8c6584881b7e5dcbc9b3906a819ab8a72b612b060cb9aa50b5b67f03bdab089  wine-1.8.tar.bz2
 6cbbaa561db4ea2048e1c5db3b66dddea554d8e2aa120e8615403a4891f1bd08fcd8c273ccb3fc6a824dac2fb53165237a1f4111d86cfee1de4a18fa7262ea39  musl-fix.patch"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Dec 20 2015 - 21:23:26 GMT